WinBase.FILE_ATTRIBUTE_TAG_INFO (JNA API)

com.sun.jna.platform.win32

## Class WinBase.FILE_ATTRIBUTE_TAG_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.FILE_ATTRIBUTE_TAG_INFO

- Direct Known Subclasses:
    WinBase.FILE_ATTRIBUTE_TAG_INFO.ByReference
  Enclosing interface:
    WinBase

      @Structure.FieldOrder(value={"FileAttributes","ReparseTag"})
      public static class WinBase.FILE_ATTRIBUTE_TAG_INFO
      extends Structure

  Receives the requested file attribute information. Used for any handles. Use only when calling GetFileInformationByHandleEx.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinBase.FILE_ATTRIBUTE_TAG_INFO.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `FileAttributes` The file attribute information.
    `int` | `ReparseTag` The reparse tag.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FILE_ATTRIBUTE_TAG_INFO()`
    `FILE_ATTRIBUTE_TAG_INFO(int FileAttributes, int ReparseTag)`
    `FILE_ATTRIBUTE_TAG_INFO(Pointer memory)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `sizeOf()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FileAttributes

          public int FileAttributes

      The file attribute information.

    - #### ReparseTag

          public int ReparseTag

      The reparse tag.

  - ### Constructor Detail

    - #### FILE_ATTRIBUTE_TAG_INFO

          public FILE_ATTRIBUTE_TAG_INFO()

    - #### FILE_ATTRIBUTE_TAG_INFO

          public FILE_ATTRIBUTE_TAG_INFO(Pointer memory)

    - #### FILE_ATTRIBUTE_TAG_INFO

          public FILE_ATTRIBUTE_TAG_INFO(int FileAttributes,
                                         int ReparseTag)

  - ### Method Detail

    - #### sizeOf

          public static int sizeOf()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.